org.glassfish.jersey.server

## Class ResourceModelConfigurator

- java.lang.Object
- - org.glassfish.jersey.server.ResourceModelConfigurator

All Implemented Interfaces:
  org.glassfish.jersey.internal.BootstrapConfigurator

    public class ResourceModelConfigurator
    extends Object
    implements org.glassfish.jersey.internal.BootstrapConfigurator

Configurator which binds providers and resources into `InjectionManager`.

Author:
  Petr Bouda

### Constructor Summary

Constructors
Constructor and Description
`ResourceModelConfigurator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(org.glassfish.jersey.internal.inject.InjectionManager injectionManager, org.glassfish.jersey.internal.BootstrapBag bootstrapBag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.glassfish.jersey.internal.BootstrapConfigurator

`postInit`

### Constructor Detail

#### ResourceModelConfigurator

    public ResourceModelConfigurator()

### Method Detail

#### init

    public void init(org.glassfish.jersey.internal.inject.InjectionManager injectionManager,
                     org.glassfish.jersey.internal.BootstrapBag bootstrapBag)

Specified by:
  `init` in interface `org.glassfish.jersey.internal.BootstrapConfigurator`